Package com.io7m.cardant.protocol.inventory

# Record Class CAICommandTypeScalarSearchBegin

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAICommandTypeScalarSearchBegin

Record Components:
  `parameters` - The parameters

All Implemented Interfaces:
  `CAProtocolMessageType`, `CAICommandType<CAIResponseTypeScalarSearch>`, `CAIMessageType`, `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`

public record CAICommandTypeScalarSearchBegin(CATypeScalarSearchParameters parameters) extends Record implements CAICommandType<CAIResponseTypeScalarSearch>
Search for scalar types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAICommandTypeScalarSearchBegin(CATypeScalarSearchParameters parameters)`
  Search for scalar types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CATypeScalarSearchParameters`
  `parameters()`
  Returns the value of the `parameters` record component.
  `Class<CAIResponseTypeScalarSearch>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAICommandTypeScalarSearchBegin

    public CAICommandTypeScalarSearchBegin(CATypeScalarSearchParameters parameters)
    Search for scalar types.
    Parameters:
      `parameters` - The parameters

- ## Method Details

  - ### responseClass

    public Class<CAIResponseTypeScalarSearch> responseClass()
    Specified by:
      `responseClass` in interface `CAICommandType<CAIResponseTypeScalarSearch>`
    Returns:
      The response class associated with this command (excluding the error response)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### parameters

    public CATypeScalarSearchParameters parameters()
    Returns the value of the `parameters` record component.
    Returns:
      the value of the `parameters` record component